aboutsummaryrefslogtreecommitdiffstats
path: root/docker_files/dgltest
diff options
context:
space:
mode:
Diffstat (limited to 'docker_files/dgltest')
-rw-r--r--docker_files/dgltest/data.2.2.json1
-rw-r--r--docker_files/dgltest/data.2.5.json1
-rw-r--r--docker_files/dgltest/data.3.1.txt1
-rw-r--r--docker_files/dgltest/data.3.3.json1
-rw-r--r--docker_files/dgltest/key.req1
-rw-r--r--docker_files/dgltest/out/1.1.out5
-rw-r--r--docker_files/dgltest/out/2.1.out8
-rw-r--r--docker_files/dgltest/out/2.2.out13
-rw-r--r--docker_files/dgltest/out/2.3.out6
-rw-r--r--docker_files/dgltest/out/2.4.out13
-rw-r--r--docker_files/dgltest/out/2.5.out4
-rw-r--r--docker_files/dgltest/out/2.6.out1
-rw-r--r--docker_files/dgltest/out/3.1.out4
-rw-r--r--docker_files/dgltest/out/3.2.out1
-rw-r--r--docker_files/dgltest/out/3.3.out4
-rw-r--r--docker_files/dgltest/out/3.4.out1
-rwxr-xr-xdocker_files/dgltest/regress.sh113
17 files changed, 178 insertions, 0 deletions
diff --git a/docker_files/dgltest/data.2.2.json b/docker_files/dgltest/data.2.2.json
new file mode 100644
index 0000000..277690d
--- /dev/null
+++ b/docker_files/dgltest/data.2.2.json
@@ -0,0 +1 @@
+{ "topicName": "Topic-11538-2", "topicDescription": "topic for test 2.2", "partitionCount": "1", "replicationCount": "1", "transactionEnabled": "true" }
diff --git a/docker_files/dgltest/data.2.5.json b/docker_files/dgltest/data.2.5.json
new file mode 100644
index 0000000..949b5cb
--- /dev/null
+++ b/docker_files/dgltest/data.2.5.json
@@ -0,0 +1 @@
+{ "datestamp": "Wed Dec 14 06:14:23 UTC 2016", "appkey": "x100", "appval": "some value" }
diff --git a/docker_files/dgltest/data.3.1.txt b/docker_files/dgltest/data.3.1.txt
new file mode 100644
index 0000000..a03d04d
--- /dev/null
+++ b/docker_files/dgltest/data.3.1.txt
@@ -0,0 +1 @@
+datestamp: Wed Dec 14 06:14:33 UTC 2016, key: 3.1, value: this is a test
diff --git a/docker_files/dgltest/data.3.3.json b/docker_files/dgltest/data.3.3.json
new file mode 100644
index 0000000..5ec7d8e
--- /dev/null
+++ b/docker_files/dgltest/data.3.3.json
@@ -0,0 +1 @@
+{ "datestamp": "Wed Dec 14 06:14:35 UTC 2016", "key": "3.3", "value": "this is a test" }
diff --git a/docker_files/dgltest/key.req b/docker_files/dgltest/key.req
new file mode 100644
index 0000000..a7e4092
--- /dev/null
+++ b/docker_files/dgltest/key.req
@@ -0,0 +1 @@
+{ "email": "no.email", "description": "request for direct response KEY" }
diff --git a/docker_files/dgltest/out/1.1.out b/docker_files/dgltest/out/1.1.out
new file mode 100644
index 0000000..6fc17f8
--- /dev/null
+++ b/docker_files/dgltest/out/1.1.out
@@ -0,0 +1,5 @@
+{"topics": [
+ "msgrtr.apinode.metrics.dmaap",
+ "Topic-11479-2",
+ "11479.3"
+]} \ No newline at end of file
diff --git a/docker_files/dgltest/out/2.1.out b/docker_files/dgltest/out/2.1.out
new file mode 100644
index 0000000..514bdca
--- /dev/null
+++ b/docker_files/dgltest/out/2.1.out
@@ -0,0 +1,8 @@
+{
+ "aux": {
+ "description": "request for direct response KEY",
+ "email": "no.email"
+ },
+ "secret": "ckvKmWw5JAtxVYroWNM0bNZh",
+ "key": "Hje2R7zy89VTLufl"
+} \ No newline at end of file
diff --git a/docker_files/dgltest/out/2.2.out b/docker_files/dgltest/out/2.2.out
new file mode 100644
index 0000000..f636b9d
--- /dev/null
+++ b/docker_files/dgltest/out/2.2.out
@@ -0,0 +1,13 @@
+{
+ "owner": "Hje2R7zy89VTLufl",
+ "readerAcl": {
+ "enabled": true,
+ "users": []
+ },
+ "name": "Topic-11538-2",
+ "description": "topic for test 2.2",
+ "writerAcl": {
+ "enabled": true,
+ "users": []
+ }
+} \ No newline at end of file
diff --git a/docker_files/dgltest/out/2.3.out b/docker_files/dgltest/out/2.3.out
new file mode 100644
index 0000000..98ffddc
--- /dev/null
+++ b/docker_files/dgltest/out/2.3.out
@@ -0,0 +1,6 @@
+{"topics": [
+ "msgrtr.apinode.metrics.dmaap",
+ "Topic-11479-2",
+ "11479.3",
+ "Topic-11538-2"
+]} \ No newline at end of file
diff --git a/docker_files/dgltest/out/2.4.out b/docker_files/dgltest/out/2.4.out
new file mode 100644
index 0000000..f636b9d
--- /dev/null
+++ b/docker_files/dgltest/out/2.4.out
@@ -0,0 +1,13 @@
+{
+ "owner": "Hje2R7zy89VTLufl",
+ "readerAcl": {
+ "enabled": true,
+ "users": []
+ },
+ "name": "Topic-11538-2",
+ "description": "topic for test 2.2",
+ "writerAcl": {
+ "enabled": true,
+ "users": []
+ }
+} \ No newline at end of file
diff --git a/docker_files/dgltest/out/2.5.out b/docker_files/dgltest/out/2.5.out
new file mode 100644
index 0000000..78e55ec
--- /dev/null
+++ b/docker_files/dgltest/out/2.5.out
@@ -0,0 +1,4 @@
+{
+ "serverTimeMs": 8,
+ "count": 1
+} \ No newline at end of file
diff --git a/docker_files/dgltest/out/2.6.out b/docker_files/dgltest/out/2.6.out
new file mode 100644
index 0000000..0637a08
--- /dev/null
+++ b/docker_files/dgltest/out/2.6.out
@@ -0,0 +1 @@
+[] \ No newline at end of file
diff --git a/docker_files/dgltest/out/3.1.out b/docker_files/dgltest/out/3.1.out
new file mode 100644
index 0000000..d2a9b4e
--- /dev/null
+++ b/docker_files/dgltest/out/3.1.out
@@ -0,0 +1,4 @@
+{
+ "serverTimeMs": 175,
+ "count": 1
+} \ No newline at end of file
diff --git a/docker_files/dgltest/out/3.2.out b/docker_files/dgltest/out/3.2.out
new file mode 100644
index 0000000..0637a08
--- /dev/null
+++ b/docker_files/dgltest/out/3.2.out
@@ -0,0 +1 @@
+[] \ No newline at end of file
diff --git a/docker_files/dgltest/out/3.3.out b/docker_files/dgltest/out/3.3.out
new file mode 100644
index 0000000..ed2a213
--- /dev/null
+++ b/docker_files/dgltest/out/3.3.out
@@ -0,0 +1,4 @@
+{
+ "serverTimeMs": 3,
+ "count": 1
+} \ No newline at end of file
diff --git a/docker_files/dgltest/out/3.4.out b/docker_files/dgltest/out/3.4.out
new file mode 100644
index 0000000..f58f5f7
--- /dev/null
+++ b/docker_files/dgltest/out/3.4.out
@@ -0,0 +1 @@
+["{\"datestamp\":\"Wed Dec 14 06:14:35 UTC 2016\",\"value\":\"this is a test\",\"key\":\"3.3\"}"] \ No newline at end of file
diff --git a/docker_files/dgltest/regress.sh b/docker_files/dgltest/regress.sh
new file mode 100755
index 0000000..758dd7c
--- /dev/null
+++ b/docker_files/dgltest/regress.sh
@@ -0,0 +1,113 @@
+#!/bin/ksh
+#
+# depends on jq - https://stedolan.github.io/jq/
+
+PROTOCOL=http
+FQDN=127.0.0.1
+#vm1-message-router
+#FQDN=10.208.128.229
+PORT=3904
+URL=$PROTOCOL://$FQDN:$PORT
+
+rm -f out/*
+mkdir -p out
+
+results() {
+# echo "[debug] compare $1 to $2"
+ if [ $1 == $2 ]
+ then
+ echo -n "SUCCESS "
+ else
+ echo -n "FAIL ($1) "
+ fi
+ echo " :TEST $3 ($4)"
+}
+SUITE=0
+SUITE=$((SUITE + 1))
+echo "SUITE $SUITE: List topics"
+TN=0
+TN=$((TN + 1))
+TC=$SUITE.$TN
+expect=200
+rc=`curl -s -w "%{http_code}" -o out/$TC.out $URL/topics`
+results $rc $expect $TC "list"
+StartTopicCount=`cat out/$TC.out | wc -l`
+
+
+SUITE=$((SUITE + 1))
+echo
+echo "SUITE $SUITE: APIKEY authenticated topic"
+TOPIC=Topic-$$-$SUITE
+TN=0
+TN=$((TN + 1))
+TC=$SUITE.$TN
+OUT=out/$TC.out
+echo '{ "email": "no.email", "description": "request for direct response KEY" }' > key.req
+rc=`curl -s -w "%{http_code}" -o out/$TC.out -X POST -H "Content-Type: application/json" -d @key.req $URL/apiKeys/create`
+results $rc $expect $SUITE.$TN "gen apikey "
+TN=$((TN + 1))
+TC=$SUITE.$TN
+SECRET=$(jq ".secret" $OUT | cut -f 2 -d \")
+KEY=$(jq ".key" $OUT | cut -f 2 -d \")
+TIME=`date --iso-8601=seconds`
+SIG=$(echo -n "$TIME" | openssl sha1 -hmac $SECRET -binary | openssl base64)
+xAUTH=$KEY:$SIG
+#echo "[debug] $SECRET $KEY $TIME $SIG $xAUTH"
+DATA=data.$TC.json
+echo "{ \"topicName\": \"$TOPIC\", \"topicDescription\": \"topic for test $TC\", \"partitionCount\": \"1\", \"replicationCount\": \"1\", \"transactionEnabled\": \"true\" }" > $DATA
+rc=`curl -s -w "%{http_code}" -o out/$TC.out -X POST -H "Content-Type: application/json" -H "X-CambriaAuth: $xAUTH" -H "X-CambriaDate: $TIME" -d @$DATA $URL/topics/create`
+results $rc $expect $SUITE.$TN "create topic"
+TN=$((TN + 1))
+TC=$SUITE.$TN
+expect=200
+rc=`curl -s -w "%{http_code}" -o out/$TC.out $URL/topics`
+results $rc $expect $TC "list "
+TopicCnt=`cat out/$TC.out | wc -l`
+results $TopicCnt $((StartTopicCount + 1)) $TC "topic count"
+TN=$((TN + 1))
+TC=$SUITE.$TN
+expect=200
+rc=`curl -s -w "%{http_code}" -o out/$TC.out $URL/topics/$TOPIC`
+results $rc $expect $TC "list $TOPIC"
+TN=$((TN + 1))
+TC=$SUITE.$TN
+DATA=data.$TC.json
+echo "{ \"datestamp\": \"`date`\", \"appkey\": \"x100\", \"appval\": \"some value\" }" > $DATA
+rc=`curl -s -w "%{http_code}" -o out/$TC.out -X POST -H "Content-Type: application/json" -H "X-CambriaAuth: $xAUTH" -H "X-CambriaDate: $TIME" -d @$DATA $URL/events/$TOPIC`
+results $rc $expect $SUITE.$TN "pub APIKEY topic"
+TN=$((TN + 1))
+TC=$SUITE.$TN
+rc=`curl -s -w "%{http_code}" -o out/$TC.out -X GET -H "Content-Type: application/json" -H "X-CambriaAuth: $xAUTH" -H "X-CambriaDate: $TIME" $URL/events/$TOPIC/g0/u1`
+results $rc $expect $SUITE.$TN "sub APIKEY topic"
+
+
+SUITE=$((SUITE + 1))
+echo
+echo "SUITE $SUITE: anonymous topic"
+TOPIC=$$.$SUITE
+TN=0
+TN=$((TN + 1))
+TC=$SUITE.$TN
+DATA=data.$TC.txt
+echo "datestamp: `date`, key: $TC, value: this is a test " > $DATA
+expect=200
+rc=`curl -s -w "%{http_code}" -o out/$TC.out -X POST -H "Content-Type: text/plain" -d @$DATA $URL/events/$TOPIC`
+results $rc $expect $SUITE.$TN "pub text/plain"
+TN=$((TN + 1))
+TC=$SUITE.$TN
+expect=200
+rc=`curl -s -w "%{http_code}" -o out/$TC.out $URL/events/$TOPIC/group1/u$$?timeout=1000`
+results $rc $expect $SUITE.$TN "sub text/plain"
+TN=$((TN + 1))
+TC=$SUITE.$TN
+DATA=data.$TC.json
+echo "{ \"datestamp\": \"`date`\", \"key\": \"$TC\", \"value\": \"this is a test\" }" > $DATA
+expect=200
+rc=`curl -s -w "%{http_code}" -o out/$TC.out -X POST -H "Content-Type: application/json" -d @$DATA $URL/events/$TOPIC`
+results $rc $expect $SUITE.$TN "pub json"
+TN=$((TN + 1))
+TC=$SUITE.$TN
+expect=200
+rc=`curl -s -w "%{http_code}" -o out/$TC.out $URL/events/$TOPIC/group1/u$$?timeout=1000`
+results $rc $expect $SUITE.$TN "sub json"
+